import Bejegyzes from "./Bejegyzes.mjs";
import BejegyzesLista from "./BejegyzesLista.mjs";

async function fetchAdatok(apiUrl) {
    let valasz = await fetch(apiUrl)
    
    try {
        if (!valasz.ok) {
            throw new Error("Hibás lekérés!")
        }

        let JSadatszerkezet = await valasz.json()

        document.querySelector("div").innerHTML = JSON.stringify(JSadatszerkezet, null, 2)
    }

    catch (hiba) {
        console.log(hiba);
    }
}

// fetchAdatok("https://jsonplaceholder.typicode.com/posts")


async function fetchAdatok2(apiUrl) {
    let valasz = await fetch(apiUrl)

    try {
        if (!valasz.ok) {
            throw new Error("Hibás lekérés!")
        }

        let JSadatszerkezet = await valasz.json()

        const bejegyzesek = new BejegyzesLista([])

        JSadatszerkezet.forEach(element => {
            let bejegyzes = new Bejegyzes(element["id"], element["title"], element["body"])
            bejegyzesek.hozzaadBejegyzes(bejegyzes)
        });
        
        bejegyzesek.megjelenitBejegyzesek()
    }

    catch (hiba) {
        console.log(hiba);
    }
}

fetchAdatok2("https://jsonplaceholder.typicode.com/posts")
